Delete an alias
DELETE
/api/v1/aliases/{address}
const url = 'https://app.shroud.email/api/v1/aliases/deadbeef%40fog.shroud.email';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://app.shroud.email/api/v1/aliases/deadbeef%40fog.shroud.email \ --header 'Authorization: Bearer <token>'Deletes an alias from your account. Prefer disabling an alias if you may need it again. Deleted aliases on shared Shroud domains cannot be recreated; custom-domain addresses can be recreated. OAuth scope: aliases:delete.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” address
required
string
Exact alias address. URL-encode it, e.g. deadbeef%40fog.shroud.email.
Example
deadbeef@fog.shroud.emailResponses
Section titled “ Responses ”Alias deleted
Invalid token
Media type application/json
Error
object
error
required
string
Example
{ "error": "Invalid token"}Insufficient scope or unconfirmed account
Media type application/json
Error
object
error
required
string
Example
{ "error": "Invalid token"}Alias not found
Media type application/json
Error
object
error
required
string
Example
{ "error": "Alias not found"}